<!DOCTYPE html>
<html lang="en">
<head>
  <!-- Title -->
  <title>Modal Window - Space Starter | Space - Responsive Website Template</title>

  <!-- Required Meta Tags Always Come First -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Favicon -->
  <link rel="shortcut icon" href="../favicon.ico">

  <!-- Google Fonts -->
  <link href="//fonts.googleapis.com/css?family=Roboto:300,400,500,700" rel="stylesheet">

  <!-- CSS Global Compulsory -->
  <link rel="stylesheet" href="../assets/vendor/bootstrap/css/bootstrap.css">

  <!-- CSS Implementing Plugins -->
  <link rel="stylesheet" href="../assets/vendor/font-awesome/css/all.min.css">
  <link rel="stylesheet" href="../assets/vendor/hs-megamenu/src/hs.megamenu.css">
  <link rel="stylesheet" href="../assets/vendor/animate.css/animate.min.css">
  <link rel="stylesheet" href="../documentation/assets/vendor/jquery-ui/themes/base/jquery-ui.min.css">
  <link rel="stylesheet" href="../documentation/assets/vendor/prism/prism.css">

  <!-- CSS Space Template -->
  <link rel="stylesheet" href="../assets/css/theme.css">

  <!-- CSS Space Doc -->
  <link rel="stylesheet" href="../documentation/assets/css/starter.css">
</head>

<body>
  <!-- Skippy -->
  <a id="skippy" class="sr-only sr-only-focusable u-skippy" href="#content">
    <div class="container">
      <span class="u-skiplink-text">Skip to main content</span>
    </div>
  </a>
  <!-- End Skippy -->

  <!-- ========== HEADER ========== -->
  <header id="header" class="u-header u-header--sticky-top-lg">
    <div class="u-header__section">
      <div id="logoAndNav" class="container-fluid">
        <!-- Nav -->
        <nav class="js-mega-menu navbar navbar-expand-lg u-header__navbar">
          <!-- Logo -->
          <a class="navbar-brand u-header__navbar-brand py-3" href="index.html" aria-label="Space">
            <img src="../assets/svg/logos/logo.svg" alt="Logo">
          </a>
          <!-- End Logo -->

          <!-- Responsive Toggle Button -->
          <button type="button" class="navbar-toggler btn fd-header-toggle"
                  aria-label="Toggle navigation"
                  aria-expanded="false"
                  aria-controls="navBar"
                  data-toggle="collapse"
                  data-target="#navBar">
            <svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 30 30" width="30" height="30" focusable="false">
              <title>Menu</title>
              <path stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-miterlimit="10" d="M4 7h22M4 15h22M4 23h22"/>
            </svg>
          </button>
          <!-- End Responsive Toggle Button -->

          <!-- Navigation -->
          <div id="navBar" class="collapse navbar-collapse py-0">
            <ul class="navbar-nav navbar-expand-md w-100 u-header__navbar-nav">
              <!-- Live Preview -->
              <li class="nav-item u-header__nav-item">
                <a class="nav-link u-header__nav-link" href="../html/home/index.html">Live Preview</a>
              </li>
              <!-- End Live Preview -->

              <!-- Starter -->
              <li class="nav-item u-header__nav-item">
                <a class="nav-link u-header__nav-link" href="../documentation/index.html">Documentation</a>
              </li>
              <!-- End Starter -->

              <!-- Contact Us -->
              <li class="nav-item u-header__nav-item">
                <a class="nav-link u-header__nav-link" href="https://htmlstream.com/contact-us">Contact Us</a>
              </li>
              <!-- End Contact Us -->

              <!-- Changelog -->
              <li class="nav-item hs-has-mega-menu d-none d-lg-inline-block u-header__nav-item position-relative ml-lg-auto"
                  data-event="hover"
                  data-animation-in="slideInUp"
                  data-animation-out="fadeOut"
                  data-position="left">
                <a id="changelogMenu" class="nav-link u-header__nav-link" href="javascript:;"
                   aria-haspopup="true"
                   aria-expanded="false">
                  v1.0
                  <span class="fa fa-angle-down u-header__nav-link-icon ml-2"></span>
                </a>

                <!-- Submenu -->
                <ul class="hs-mega-menu list-unstyled u-header__sub-menu u-header__sub-menu-menu-gutter--y" style="min-width: 220px;"
                    aria-labelledby="changelogMenu">
                  <li class="dropdown-item px-0">
                    <a class="nav-link text-secondary px-4" href="../documentation/getting-started/changelog.html#initial-release">v1.0</a>
                  </li>
                </ul>
                <!-- End Submenu -->
              </li>
              <!-- End Changelog -->

              <!-- Social Icons -->
              <li class="ml-md-auto ml-lg-0">
                <ul class="list-inline mb-0">
                  <li class="list-inline-item mx-0">
                    <a class="u-icon u-icon--sm u-icon--secondary" href="https://www.facebook.com/htmlstream" target="_blank">
                      <span class="fab fa-facebook-f u-icon__inner"></span>
                    </a>
                  </li>
                  <li class="list-inline-item mx-0">
                    <a class="u-icon u-icon--sm u-icon--secondary" href="https://twitter.com/htmlstream" target="_blank">
                      <span class="fab fa-twitter u-icon__inner"></span>
                    </a>
                  </li>
                  <li class="list-inline-item mx-0">
                    <a class="u-icon u-icon--sm u-icon--secondary" href="https://github.com/htmlstreamofficial" target="_blank">
                      <span class="fab fa-github u-icon__inner"></span>
                    </a>
                  </li>
                  <li class="list-inline-item mx-0">
                    <a class="u-icon u-icon--sm u-icon--secondary" href="https://dribbble.com/htmlstream" target="_blank">
                      <span class="fab fa-dribbble u-icon__inner"></span>
                    </a>
                  </li>
                  <li class="list-inline-item mx-0">
                    <a class="u-icon u-icon--sm u-icon--secondary" href="https://www.instagram.com/htmlstream/" target="_blank">
                      <span class="fab fa-instagram u-icon__inner"></span>
                    </a>
                  </li>
                </ul>
              </li>
              <!-- End Social Icons -->

              <!-- Button -->
              <li class="nav-item pl-md-3">
                <a class="btn btn-sm btn-primary" href="https://themes.getbootstrap.com/product/space-multipurpose-responsive-template/" target="_blank">
                  Buy Now
                </a>
              </li>
              <!-- End Button -->
            </ul>
          </div>
          <!-- End Navigation -->
        </nav>
        <!-- End Nav -->
      </div>
    </div>
  </header>
  <!-- ========== END HEADER ========== -->

  <div class="container-fluid">
    <div class="row flex-xl-nowrap">
      <!-- ========== LEFT ========== -->
      <div class="col-12 col-md-3 col-xl-2 fd-sidebar">
        <!-- Sidebar Search -->
        <form class="fd-search d-flex align-items-center">
          <input id="fd-sidebar-navigation__search-autocomplete" class="form-control form-control-sm" type="text" placeholder="Search..." data-url="../documentation/assets/include/ajax/autocomplete-data-for-starter-search.json">

          <!-- Responsive Toggle Button -->
          <button class="btn btn-link fd-search-docs-toggle d-md-none p-0 ml-3" type="button"
                  data-toggle="collapse"
                  data-target="#navside-accordion"
                  aria-controls="navside-accordion"
                  aria-expanded="false"
                  aria-label="Toggle docs navigation">
            <svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 30 30" width="30" height="30" focusable="false">
              <title>Menu</title>
              <path stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-miterlimit="10" d="M4 7h22M4 15h22M4 23h22"/>
            </svg>
          </button>
          <!-- End Responsive Toggle Button -->
        </form>
        <!-- End Sidebar Search -->

        <!-- Sidebar Nav -->
        <nav id="navside-accordion" class="fd-navside collapse">
          <ul id="components" class="fd-navside__links collapse show" data-parent="#navside-accordion">
            <li><a href="index.html">Introduction</a></li>
            <li><a href="clients.html">Clients</a></li>
            <li><a href="cta.html">Call-to-action (CTA)</a></li>
            <li><a href="features.html">Features</a></li>
            <li><a href="footers.html">Footers</a></li>
            <li><a href="form-layouts.html">Form layouts</a></li>
            <li><a href="gallery.html">Gallery</a></li>
            <li><a href="header-layouts.html">Header layouts</a></li>
            <li><a href="hero.html">Hero</a></li>
            <li><a href="hero-subscribe.html">Hero Subscribe</a></li>
            <li><a href="icon-blocks.html">Icon blocks</a></li>
            <li><a href="info.html">Info</a></li>
            <li><a class="active" href="modal-window.html">Modal Window</a></li>
            <li><a href="news-blogs.html">News Blogs</a></li>
            <li><a href="pricing.html">Pricing</a></li>
            <li><a href="products.html">Products</a></li>
            <li><a href="products-hero.html">Products hero</a></li>
            <li><a href="stats.html">Stats</a></li>
            <li><a href="team.html">Team</a></li>
            <li><a href="testimonials.html">Testimonials</a></li>
            <li><a href="typedjs.html">TypedJS.html</a></li>
            <li><a href="unfold-dropdown.html">Unfold (Dropdown)</a></li>
            <li><a href="unfold-sidebar.html">Unfold (Sidebar)</a></li>
            <li><a href="video-player.html">Video Player</a></li>
          </ul>
        </nav>
        <!-- End Sidebar Nav -->
      </div>
      <!-- ========== END LEFT ========== -->

      <!-- ========== MAIN ========== -->
      <main class="col-12 col-md-9 col-xl-10 pl-md-5 fd-content space-3" role="main">
        <div class="mb-9">
          <h1 class="font-weight-medium">Modal Window</h1>
          <p class="lead font-weight-normal">Space uses third-party Custombox dialog plugin, so add dialogs to your site for lightboxes, user notifications, or completely custom content.</p>
        </div>

        <div id="account-modal-1" class="mb-9">
          <h2 class="h4">Account modal #1 <a class="anchorjs-link" href="#account-modal-1" aria-label="Anchor" data-anchorjs-icon="#"></a></h2>
          <p>Example can be seen in <a href="headers/account-modal-window-signin.html">Account modal window signin</a> and click on the Account icon button.</p>

          <div class="fd-example">
            <img class="img-fluid" src="../documentation/assets/img/img13.jpg" alt="Image Description">
          </div>

          <h3 class="h6">HTML:</h3>
          <div style="overflow: auto; height: 300px;">
            <pre>
              <code class="language-markup" data-lang="html">
                &lt;!-- Signup Modal Window --&gt;
                &lt;div id="signupModal" class="js-signup-modal u-modal-window" style="width: 500px;"&gt;
                  &lt;!-- Modal Close Button --&gt;
                  &lt;button class="btn btn-sm btn-icon btn-text-secondary u-modal-window__close" type="button" onclick="Custombox.modal.close();"&gt;
                    &lt;span class="fas fa-times"&gt;&lt;/span&gt;
                  &lt;/button&gt;
                  &lt;!-- End Modal Close Button --&gt;

                  &lt;!-- Content --&gt;
                  &lt;div class="p-5"&gt;
                    &lt;form class="js-validate"&gt;
                      &lt;!-- Signin --&gt;
                      &lt;div id="signin" data-target-group="idForm"&gt;
                        &lt;!-- Title --&gt;
                        &lt;header class="text-center mb-5"&gt;
                          &lt;h2 class="h4 mb-0"&gt;Please sign in&lt;/h2&gt;
                          &lt;p&gt;Signin to manage your account.&lt;/p&gt;
                        &lt;/header&gt;
                        &lt;!-- End Title --&gt;

                        &lt;!-- Input --&gt;
                        &lt;div class="js-form-message mb-3"&gt;
                          &lt;div class="js-focus-state input-group form"&gt;
                            &lt;div class="input-group-prepend form__prepend"&gt;
                              &lt;span class="input-group-text form__text"&gt;
                                &lt;span class="fa fa-user form__text-inner"&gt;&lt;/span&gt;
                              &lt;/span&gt;
                            &lt;/div&gt;
                            &lt;input type="email" class="form-control form__input" name="email" required
                                   placeholder="Email"
                                   aria-label="Email"
                                   data-msg="Please enter a valid email address."
                                   data-error-class="u-has-error"
                                   data-success-class="u-has-success"&gt;
                          &lt;/div&gt;
                        &lt;/div&gt;
                        &lt;!-- End Input --&gt;

                        &lt;!-- Input --&gt;
                        &lt;div class="js-form-message mb-3"&gt;
                          &lt;div class="js-focus-state input-group form"&gt;
                            &lt;div class="input-group-prepend form__prepend"&gt;
                              &lt;span class="input-group-text form__text"&gt;
                                &lt;span class="fa fa-lock form__text-inner"&gt;&lt;/span&gt;
                              &lt;/span&gt;
                            &lt;/div&gt;
                            &lt;input type="password" class="form-control form__input" name="password" required
                                   placeholder="Password"
                                   aria-label="Password"
                                   data-msg="Your password is invalid. Please try again."
                                   data-error-class="u-has-error"
                                   data-success-class="u-has-success"&gt;
                          &lt;/div&gt;
                        &lt;/div&gt;
                        &lt;!-- End Input --&gt;

                        &lt;div class="row mb-3"&gt;
                          &lt;div class="col-6"&gt;
                            &lt;!-- Checkbox --&gt;
                            &lt;div class="custom-control custom-checkbox d-flex align-items-center text-muted"&gt;
                              &lt;input type="checkbox" class="custom-control-input" id="rememberMeCheckbox"&gt;
                              &lt;label class="custom-control-label" for="rememberMeCheckbox"&gt;
                                Remember Me
                              &lt;/label&gt;
                            &lt;/div&gt;
                            &lt;!-- End Checkbox --&gt;
                          &lt;/div&gt;

                          &lt;div class="col-6 text-right"&gt;
                            &lt;a class="js-animation-link float-right" href="javascript:;"
                               data-target="#forgotPassword"
                               data-link-group="idForm"
                               data-animation-in="fadeIn"&gt;Forgot Password?&lt;/a&gt;
                          &lt;/div&gt;
                        &lt;/div&gt;

                        &lt;div class="mb-3"&gt;
                          &lt;button type="submit" class="btn btn-block btn-primary"&gt;Signin&lt;/button&gt;
                        &lt;/div&gt;

                        &lt;div class="text-center mb-3"&gt;
                          &lt;p class="text-muted"&gt;
                            Do not have an account?
                            &lt;a class="js-animation-link" href="javascript:;"
                               data-target="#signup"
                               data-link-group="idForm"
                               data-animation-in="fadeIn"&gt;Signup
                            &lt;/a&gt;
                          &lt;/p&gt;
                        &lt;/div&gt;

                        &lt;!-- Divider --&gt;
                        &lt;div class="text-center u-divider-wrapper my-3"&gt;
                          &lt;span class="u-divider u-divider--xs u-divider--text"&gt;OR&lt;/span&gt;
                        &lt;/div&gt;
                        &lt;!-- End Divider --&gt;

                        &lt;!-- Signin Social Buttons --&gt;
                        &lt;div class="row mx-gutters-2 mb-4"&gt;
                          &lt;div class="col-sm-6 mb-2 mb-sm-0"&gt;
                            &lt;button type="button" class="btn btn-block btn-facebook"&gt;
                              &lt;span class="fab fa-facebook-f mr-2"&gt;&lt;/span&gt;
                              Signin with Facebook
                            &lt;/button&gt;
                          &lt;/div&gt;
                          &lt;div class="col-sm-6"&gt;
                            &lt;button type="button" class="btn btn-block btn-twitter"&gt;
                              &lt;span class="fab fa-twitter mr-2"&gt;&lt;/span&gt;
                              Signin with Twitter
                            &lt;/button&gt;
                          &lt;/div&gt;
                        &lt;/div&gt;
                        &lt;!-- End Signin Social Buttons --&gt;
                      &lt;/div&gt;
                      &lt;!-- End Signin --&gt;

                      &lt;!-- Signup --&gt;
                      &lt;div id="signup" style="display: none; opacity: 0;" data-target-group="idForm"&gt;
                        &lt;!-- Title --&gt;
                        &lt;header class="text-center mb-5"&gt;
                          &lt;h2 class="h4 mb-0"&gt;Please sign up&lt;/h2&gt;
                          &lt;p&gt;Fill out the form to get started.&lt;/p&gt;
                        &lt;/header&gt;
                        &lt;!-- End Title --&gt;

                        &lt;!-- Input --&gt;
                        &lt;div class="js-form-message mb-3"&gt;
                          &lt;div class="js-focus-state input-group form"&gt;
                            &lt;div class="input-group-prepend form__prepend"&gt;
                              &lt;span class="input-group-text form__text"&gt;
                                &lt;span class="fa fa-user form__text-inner"&gt;&lt;/span&gt;
                              &lt;/span&gt;
                            &lt;/div&gt;
                            &lt;input type="email" class="form-control form__input" name="email" required
                                   placeholder="Email"
                                   aria-label="Email"
                                   data-msg="Please enter a valid email address."
                                   data-error-class="u-has-error"
                                   data-success-class="u-has-success"&gt;
                          &lt;/div&gt;
                        &lt;/div&gt;
                        &lt;!-- End Input --&gt;

                        &lt;!-- Input --&gt;
                        &lt;div class="js-form-message mb-3"&gt;
                          &lt;div class="js-focus-state input-group form"&gt;
                            &lt;div class="input-group-prepend form__prepend"&gt;
                              &lt;span class="input-group-text form__text"&gt;
                                &lt;span class="fa fa-lock form__text-inner"&gt;&lt;/span&gt;
                              &lt;/span&gt;
                            &lt;/div&gt;
                            &lt;input type="password" class="form-control form__input" name="password" required
                                   placeholder="Password"
                                   aria-label="Password"
                                   data-msg="Your password is invalid. Please try again."
                                   data-error-class="u-has-error"
                                   data-success-class="u-has-success"&gt;
                          &lt;/div&gt;
                        &lt;/div&gt;
                        &lt;!-- End Input --&gt;

                        &lt;!-- Input --&gt;
                        &lt;div class="js-form-message mb-3"&gt;
                          &lt;div class="js-focus-state input-group form"&gt;
                            &lt;div class="input-group-prepend form__prepend"&gt;
                              &lt;span class="input-group-text form__text"&gt;
                                &lt;span class="fa fa-key form__text-inner"&gt;&lt;/span&gt;
                              &lt;/span&gt;
                            &lt;/div&gt;
                            &lt;input type="password" class="form-control form__input" name="confirmPassword" required
                                   placeholder="Confirm Password"
                                   aria-label="Confirm Password"
                                   data-msg="Password does not match the confirm password."
                                   data-error-class="u-has-error"
                                   data-success-class="u-has-success"&gt;
                          &lt;/div&gt;
                        &lt;/div&gt;
                        &lt;!-- End Input --&gt;

                        &lt;div class="mb-3"&gt;
                          &lt;button type="submit" class="btn btn-block btn-primary"&gt;Signup&lt;/button&gt;
                        &lt;/div&gt;

                        &lt;div class="text-center mb-3"&gt;
                          &lt;p class="text-muted"&gt;
                            Have an account?
                            &lt;a class="js-animation-link" href="javascript:;"
                               data-target="#signin"
                               data-link-group="idForm"
                               data-animation-in="fadeIn"&gt;Signin
                            &lt;/a&gt;
                          &lt;/p&gt;
                        &lt;/div&gt;

                        &lt;!-- Divider --&gt;
                        &lt;div class="text-center u-divider-wrapper my-3"&gt;
                          &lt;span class="u-divider u-divider--xs u-divider--text"&gt;OR&lt;/span&gt;
                        &lt;/div&gt;
                        &lt;!-- End Divider --&gt;

                        &lt;!-- Signup Social Buttons --&gt;
                        &lt;div class="row mx-gutters-2 mb-4"&gt;
                          &lt;div class="col-sm-6 mb-2 mb-sm-0"&gt;
                            &lt;button type="button" class="btn btn-block btn-facebook"&gt;
                              &lt;span class="fab fa-facebook-f mr-2"&gt;&lt;/span&gt;
                              Signup with Facebook
                            &lt;/button&gt;
                          &lt;/div&gt;
                          &lt;div class="col-sm-6"&gt;
                            &lt;button type="button" class="btn btn-block btn-twitter"&gt;
                              &lt;span class="fab fa-twitter mr-2"&gt;&lt;/span&gt;
                              Signup with Twitter
                            &lt;/button&gt;
                          &lt;/div&gt;
                        &lt;/div&gt;
                        &lt;!-- End Signup Social Buttons --&gt;
                      &lt;/div&gt;
                      &lt;!-- End Signup --&gt;

                      &lt;!-- Forgot Password --&gt;
                      &lt;div id="forgotPassword" style="display: none; opacity: 0;" data-target-group="idForm"&gt;
                        &lt;!-- Title --&gt;
                        &lt;header class="text-center mb-5"&gt;
                          &lt;h2 class="h4 mb-0"&gt;Recover account&lt;/h2&gt;
                          &lt;p&gt;Enter your email address and an email with instructions will be sent to you.&lt;/p&gt;
                        &lt;/header&gt;
                        &lt;!-- End Title --&gt;

                        &lt;!-- Input --&gt;
                        &lt;div class="js-form-message mb-3"&gt;
                          &lt;div class="js-focus-state input-group form"&gt;
                            &lt;div class="input-group-prepend form__prepend"&gt;
                              &lt;span class="input-group-text form__text"&gt;
                                &lt;span class="fa fa-user form__text-inner"&gt;&lt;/span&gt;
                              &lt;/span&gt;
                            &lt;/div&gt;
                            &lt;input type="email" class="form-control form__input" name="email" required
                                   placeholder="Email"
                                   aria-label="Email"
                                   data-msg="Please enter a valid email address."
                                   data-error-class="u-has-error"
                                   data-success-class="u-has-success"&gt;
                          &lt;/div&gt;
                        &lt;/div&gt;
                        &lt;!-- End Input --&gt;

                        &lt;div class="mb-3"&gt;
                          &lt;button type="submit" class="btn btn-block btn-primary"&gt;Recover Account&lt;/button&gt;
                        &lt;/div&gt;

                        &lt;div class="text-center mb-3"&gt;
                          &lt;p class="text-muted"&gt;
                            Have an account?
                            &lt;a class="js-animation-link" href="javascript:;"
                               data-target="#signin"
                               data-link-group="idForm"
                               data-animation-in="fadeIn"&gt;Signin
                            &lt;/a&gt;
                          &lt;/p&gt;
                        &lt;/div&gt;
                      &lt;/div&gt;
                      &lt;!-- End Forgot Password --&gt;
                    &lt;/form&gt;
                  &lt;/div&gt;
                  &lt;!-- End Content --&gt;
                &lt;/div&gt;
                &lt;!-- End Signup Modal Window --&gt;
              </code>
            </pre>
          </div>

          <h3 class="h6">CSS library:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;link rel="stylesheet" href="assets/vendor/animate.css"&gt;
              &lt;link rel="stylesheet" href="assets/vendor/custombox/dist/custombox.min.css"&gt;
            </code>
          </pre>

          <h3 class="h6">JS library and initialization:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;!-- JS Implementing Plugins --&gt;
              &lt;script src="assets/vendor/custombox/dist/custombox.min.js"&gt;&lt;/script&gt;
              &lt;script src="assets/vendor/custombox/dist/custombox.legacy.min.js"&gt;&lt;/script&gt;
              &lt;script src="assets/vendor/jquery-validation/dist/jquery.validate.min.js"&gt;&lt;/script&gt;

              &lt;!-- JS Implementing Plugins --&gt;
              &lt;script src="assets/js/components/hs.modal-window.js"&gt;&lt;/script&gt;
              &lt;script src="assets/js/helpers/hs.focus-state.js"&gt;&lt;/script&gt;
              &lt;script src="assets/js/components/hs.validation.js"&gt;&lt;/script&gt;
              &lt;script src="assets/js/components/hs.show-animation.js"&gt;&lt;/script&gt;

              &lt;!-- JS Plugins Init. --&gt;
              &lt;script&gt;
                // initialization of forms
                $.HSCore.helpers.HSFocusState.init();

                // initialization of form validation
                $.HSCore.components.HSValidation.init('.js-validate', {
                  rules: {
                    confirmPassword: {
                      equalTo: '#password'
                    }
                  }
                });

                // initialization of show animations
                $.HSCore.components.HSShowAnimation.init('.js-animation-link');

                // initialization of autonomous popups
                $.HSCore.components.HSModalWindow.init('[data-modal-target]', '.js-signup-modal', {
                  autonomous: true
                });
              &lt;/script&gt;
            </code>
          </pre>
        </div>

        <div id="subscribe-modal-1" class="mb-9">
          <h2 class="h4">Subscribe modal #1 <a class="anchorjs-link" href="#subscribe-modal-1" aria-label="Anchor" data-anchorjs-icon="#"></a></h2>
          <p>Example can be seen in <a href="../html/pages/coming-soon.html">Subscribe modal window signin</a> and click on the "Subscribe for Updates" button.</p>

          <div class="fd-example">
            <img class="img-fluid" src="../documentation/assets/img/img4.jpg" alt="Image Description">
          </div>

          <h3 class="h6">HTML:</h3>
          <div style="overflow: auto; height: 300px;">
            <pre>
              <code class="language-markup" data-lang="html">
                &lt;!-- Button --&gt;
                &lt;a class="btn btn-sm btn-primary" href="#subscribeForUpdatesModal" role="button"
                   data-modal-target="#subscribeForUpdatesModal"
                   data-overlay-color="#151b26"&gt;
                  Subscribe for Updates
                &lt;/a&gt;
                &lt;!-- End Button --&gt;

                &lt;!-- Subscribe for Updates Modal Window --&gt;
                &lt;div id="subscribeForUpdatesModal" class="js-subscribe-for-updates u-modal-window" style="width: 500px;"&gt;
                  &lt;!-- Modal Close Button --&gt;
                  &lt;button class="btn btn-sm btn-icon btn-text-secondary u-modal-window__close" type="button" onclick="Custombox.modal.close();"&gt;
                    &lt;span class="fas fa-times"&gt;&lt;/span&gt;
                  &lt;/button&gt;
                  &lt;!-- End Modal Close Button --&gt;

                  &lt;!-- Content --&gt;
                  &lt;div class="p-5"&gt;
                    &lt;form class="js-validate"&gt;
                      &lt;div class="max-width-18 mx-auto mb-2"&gt;
                        &lt;img class="img-fluid" src="../../assets/svg/components/subscribe-primary-icon.svg" alt="Image Description"&gt;
                      &lt;/div&gt;

                      &lt;!-- Title --&gt;
                      &lt;header class="text-center mb-5"&gt;
                        &lt;h2 class="h3 mb-0"&gt;Be in the cycle!&lt;/h2&gt;
                        &lt;p&gt;Get updated when there's any news about our services.&lt;/p&gt;
                      &lt;/header&gt;
                      &lt;!-- End Title --&gt;

                      &lt;div class="js-form-message mb-3"&gt;
                        &lt;div class="js-focus-state input-group form"&gt;
                          &lt;div class="input-group-prepend form__prepend"&gt;
                            &lt;span class="input-group-text form__text"&gt;
                              &lt;span class="fas fa-envelope form__text-inner"&gt;&lt;/span&gt;
                            &lt;/span&gt;
                          &lt;/div&gt;
                          &lt;input type="email" class="form-control form__input" name="email" required
                                 placeholder="Your email"
                                 aria-label="Your email"
                                 data-msg="Please enter a valid email address."
                                 data-error-class="u-has-error"
                                 data-success-class="u-has-success"&gt;
                        &lt;/div&gt;
                      &lt;/div&gt;

                      &lt;button type="submit" class="btn btn-block btn-primary"&gt;Subscribe Me&lt;/button&gt;
                    &lt;/form&gt;
                  &lt;/div&gt;
                  &lt;!-- End Content --&gt;
                &lt;/div&gt;
                &lt;!-- End Subscribe for Updates Modal Window --&gt;
              </code>
            </pre>
          </div>

          <h3 class="h6">CSS library:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;link rel="stylesheet" href="assets/vendor/animate.css"&gt;
              &lt;link rel="stylesheet" href="assets/vendor/custombox/dist/custombox.min.css"&gt;
            </code>
          </pre>

          <h3 class="h6">JS library and initialization:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;!-- JS Implementing Plugins --&gt;
              &lt;script src="assets/vendor/custombox/dist/custombox.min.js"&gt;&lt;/script&gt;
              &lt;script src="assets/vendor/custombox/dist/custombox.legacy.min.js"&gt;&lt;/script&gt;
              &lt;script src="assets/vendor/jquery-validation/dist/jquery.validate.min.js"&gt;&lt;/script&gt;

              &lt;!-- JS Implementing Plugins --&gt;
              &lt;script src="assets/js/components/hs.modal-window.js"&gt;&lt;/script&gt;
              &lt;script src="assets/js/helpers/hs.focus-state.js"&gt;&lt;/script&gt;
              &lt;script src="assets/js/components/hs.validation.js"&gt;&lt;/script&gt;

              &lt;!-- JS Plugins Init. --&gt;
              &lt;script&gt;
                // initialization of forms
                $.HSCore.helpers.HSFocusState.init();

                // initialization of form validation
                $.HSCore.components.HSValidation.init('.js-validate', {
                  rules: {
                    confirmPassword: {
                      equalTo: '#password'
                    }
                  }
                });

                // initialization of autonomous popups
                $.HSCore.components.HSModalWindow.init('[data-modal-target]', '.js-subscribe-for-updates', {
                  autonomous: true
                });
              &lt;/script&gt;
            </code>
          </pre>
        </div>

        <div id="shopping-cart-modal-1" class="mb-9">
          <h2 class="h4">Shopping cart modal #1 <a class="anchorjs-link" href="#shopping-cart-modal-1" aria-label="Anchor" data-anchorjs-icon="#"></a></h2>
          <p>Example can be seen in <a href="headers/shopping-cart-modal-window-empty.html">Shopping cart modal window empty</a> and click on the shopping cart button.</p>

          <div class="fd-example">
            <img class="img-fluid" src="../documentation/assets/img/img14.jpg" alt="Image Description">
          </div>

          <h3 class="h6">HTML:</h3>
          <pre>
            <code class="language-markup" data-lang="html">
              &lt;div id="shoppingCartModal" class="js-shopping-cart-window u-modal-window" style="width: 370px;"&gt;
                &lt;button class="btn btn-xs btn-icon btn-text-secondary u-modal-window__close" type="button" onclick="Custombox.modal.close();"&gt;
                  &lt;span class="fas fa-times"&gt;&lt;/span&gt;
                &lt;/button&gt;

                &lt;div class="u-shopping-cart-title-wrapper"&gt;
                  &lt;strong&gt;Your Shopping Cart&lt;/strong&gt;
                &lt;/div&gt;

                &lt;div class="text-center u-shopping-cart-items-wrapper"&gt;
                  &lt;span class="u-shopping-cart-icon my-4"&gt;
                    &lt;span class="fa fa-shopping-basket u-shopping-cart-icon__inner"&gt;&lt;/span&gt;
                  &lt;/span&gt;
                &lt;/div&gt;

                &lt;div class="u-shopping-cart-subtotal-bg"&gt;
                  &lt;div class="mb-3"&gt;
                    &lt;strong&gt;Order Total&lt;/strong&gt;
                    &lt;span class="d-block"&gt;$0.0&lt;/span&gt;
                  &lt;/div&gt;
                  &lt;a class="disabled btn btn-sm btn-primary--air transition-3d-hover" href="../shop/shop-checkout.html"&gt;Review Bag and Checkout&lt;/a&gt;
                  &lt;p class="mb-0"&gt;&lt;a class="u-shopping-cart-subtotal-link" href="javascript:;" role="button" onclick="Custombox.modal.close();"&gt;Start Shopping&lt;/a&gt;&lt;/p&gt;
                &lt;/div&gt;
              &lt;/div&gt;
            </code>
          </pre>

          <h3 class="h6">CSS library:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;link rel="stylesheet" href="assets/vendor/animate.css"&gt;
              &lt;link rel="stylesheet" href="assets/vendor/custombox/dist/custombox.min.css"&gt;
            </code>
          </pre>

          <h3 class="h6">JS library and initialization:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;!-- JS Implementing Plugins --&gt;
              &lt;script src="assets/vendor/custombox/dist/custombox.min.js"&gt;&lt;/script&gt;

              &lt;!-- JS Implementing Plugins --&gt;
              &lt;script src="assets/js/components/hs.modal-window.js"&gt;&lt;/script&gt;

              &lt;!-- JS Plugins Init. --&gt;
              &lt;script&gt;
                // initialization of autonomous popups
                $.HSCore.components.HSModalWindow.init('[data-modal-target]', '.js-shopping-cart-window', {
                  autonomous: true
                });
              &lt;/script&gt;
            </code>
          </pre>
        </div>

        <div id="shopping-cart-modal-2" class="mb-9">
          <h2 class="h4">Shopping cart modal #2 <a class="anchorjs-link" href="#shopping-cart-modal-2" aria-label="Anchor" data-anchorjs-icon="#"></a></h2>
          <p>Example can be seen in <a href="headers/shopping-cart-modal-window-with-items.html">Shopping cart modal window with items</a> and click on the shopping cart button.</p>

          <div class="fd-example">
            <img class="img-fluid" src="../documentation/assets/img/img15.jpg" alt="Image Description">
          </div>

          <h3 class="h6">HTML:</h3>
          <div style="overflow: auto; height: 300px;">
            <pre>
              <code class="language-markup" data-lang="html">
                &lt;!-- Shopping Cart Modal Window --&gt;
                &lt;div id="shoppingCartModal" class="js-shopping-account u-modal-window" style="width: 370px;"&gt;
                  &lt;!-- Modal Close Button --&gt;
                  &lt;button class="btn btn-sm btn-icon btn-text-secondary u-modal-window__close" type="button" onclick="Custombox.modal.close();"&gt;
                    &lt;span class="fas fa-times"&gt;&lt;/span&gt;
                  &lt;/button&gt;
                  &lt;!-- End Modal Close Button --&gt;

                  &lt;!-- Title --&gt;
                  &lt;header class="text-center p-4"&gt;
                    Your Shopping Cart
                  &lt;/header&gt;
                  &lt;!-- End Title --&gt;

                  &lt;hr class="my-0"&gt;

                  &lt;!-- Items Wrapper --&gt;
                  &lt;div class="p-4"&gt;
                    &lt;!-- Item --&gt;
                    &lt;div class="d-flex"&gt;
                      &lt;div class="u-shopping-cart__item-img-wrapper mr-3"&gt;
                        &lt;img class="img-fluid" src="../../assets/img/100x100/img5.jpg" alt="Image Description"&gt;
                      &lt;/div&gt;
                      &lt;div class="u-shopping-cart__item-info-wrapper"&gt;
                        &lt;div class="d-flex justify-content-between align-items-center mb-1"&gt;
                          &lt;span class="d-block h6 mb-0"&gt;Space shoes&lt;/span&gt;
                          &lt;span class="u-shopping-cart__item-remover" aria-hidden="true"&gt;&times;&lt;/span&gt;
                        &lt;/div&gt;
                        &lt;span class="d-block font-size-14"&gt;2017 Lightweight Men's Space shoes&lt;/span&gt;
                        &lt;span class="d-block text-secondary font-size-13"&gt;Size: 9&lt;/span&gt;
                        &lt;span class="d-block text-secondary font-size-13"&gt;Quantity: 1&lt;/span&gt;
                        &lt;span class="d-block text-secondary font-size-13"&gt;Color: Red&lt;/span&gt;
                        &lt;span class="d-block text-secondary font-size-13"&gt;Price: $29&lt;/span&gt;
                      &lt;/div&gt;
                    &lt;/div&gt;
                    &lt;!-- End Item --&gt;
                  &lt;/div&gt;
                  &lt;!-- End Items Wrapper --&gt;

                  &lt;!-- Subtotal --&gt;
                  &lt;div class="text-center bg-gray-100 p-4"&gt;
                    &lt;div class="mb-3"&gt;
                      &lt;span class="d-block h6 mb-0"&gt;Order Total&lt;/span&gt;
                      &lt;span class="d-block"&gt;$56.99&lt;/span&gt;
                    &lt;/div&gt;
                    &lt;a class="btn btn-sm btn-primary" href="../../html/shop/checkout.html"&gt;Review Bag and Checkout&lt;/a&gt;
                    &lt;a class="d-block small text-secondary mt-2" href="javascript:;"&gt;Continue Shopping&lt;/a&gt;
                  &lt;/div&gt;
                  &lt;!-- End Subtotal --&gt;
                &lt;/div&gt;
                &lt;!-- End Shopping Cart Modal Window --&gt;
              </code>
            </pre>
          </div>

          <h3 class="h6">CSS library:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;link rel="stylesheet" href="assets/vendor/animate.css"&gt;
              &lt;link rel="stylesheet" href="assets/vendor/custombox/dist/custombox.min.css"&gt;
            </code>
          </pre>

          <h3 class="h6">JS library and initialization:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;!-- JS Implementing Plugins --&gt;
              &lt;script src="assets/vendor/custombox/dist/custombox.min.js"&gt;&lt;/script&gt;
              &lt;script src="assets/vendor/custombox/dist/custombox.legacy.min.js"&gt;&lt;/script&gt;

              &lt;!-- JS Implementing Plugins --&gt;
              &lt;script src="assets/js/components/hs.modal-window.js"&gt;&lt;/script&gt;

              &lt;!-- JS Plugins Init. --&gt;
              &lt;script&gt;
                // initialization of autonomous popups
                $.HSCore.components.HSModalWindow.init('[data-modal-target]', '.js-shopping-account', {
                  autonomous: true
                });
              &lt;/script&gt;
            </code>
          </pre>
        </div>
      </main>
      <!-- ========== END MAIN ========== -->
    </div>
  </div>

  <!-- Go to Top -->
  <a class="js-go-to u-go-to" href="javascript:;"
    data-position='{"bottom": 15, "right": 15 }'
    data-type="fixed"
    data-offset-top="400"
    data-compensation="#header"
    data-show-effect="slideInUp"
    data-hide-effect="slideOutDown">
    <span class="fa fa-arrow-up u-go-to__inner"></span>
  </a>
  <!-- End Go to Top -->

  <!-- JS Global Compulsory -->
  <script src="../assets/vendor/jquery/dist/jquery.min.js"></script>
  <script src="../assets/vendor/jquery-migrate/dist/jquery-migrate.min.js"></script>
  <script src="../assets/vendor/popper.js/dist/umd/popper.min.js"></script>
  <script src="../assets/vendor/bootstrap/bootstrap.min.js"></script>

  <!-- JS Implementing Plugins -->
  <script src="../assets/vendor/hs-megamenu/src/hs.megamenu.js"></script>
  <script src="../documentation/assets/vendor/jquery-ui/jquery-ui.core.min.js"></script>
  <script src="../documentation/assets/vendor/jquery-ui/ui/widgets/menu.js"></script>
  <script src="../documentation/assets/vendor/jquery-ui/ui/widgets/mouse.js"></script>
  <script src="../documentation/assets/vendor/jquery-ui/ui/widgets/autocomplete.js"></script>
  <script src="../documentation/assets/vendor/prism/prism.js"></script>

  <!-- JS Space -->
  <script src="../assets/js/hs.core.js"></script>
  <script src="../assets/js/components/hs.header.js"></script>
  <script src="../assets/js/components/hs.unfold.js"></script>
  <script src="../assets/js/components/hs.go-to.js"></script>
  <script src="../assets/js/components/hs.scroll-nav.js"></script>
  <script src="../documentation/assets/js/components/hs.autocomplete-local-search.js"></script>

  <!-- JS Plugins Init. -->
  <script>
    $(document).on('ready', function () {
      // initialization of header
      $.HSCore.components.HSHeader.init($('#header'));

      // initialization of go to
      $.HSCore.components.HSGoTo.init('.js-go-to');
    });

    $(window).on('load', function () {
      // initialization of HSMegaMenu component
      $('.js-mega-menu').HSMegaMenu({
        event: 'hover',
        pageContainer: $('.container'),
        breakpoint: 768,
        hideTimeOut: 0
      });

      // initialization of autocomplet
      $.HSCore.components.HSLocalSearchAutocomplete.init('#fd-sidebar-navigation__search-autocomplete');

      // initialization of HSScrollNav component
      $.HSCore.components.HSScrollNav.init($('#scrollNav'), {
        duration: 700
      });
    });
  </script>
</body>
</html>